VIPW(8)

NAME
vipw - edit the password file

SYNOPSIS
vipw [-d directory]

DESCRIPTION
vipw edits the password file after setting the appropriate locks, and does any necessary processing after the password file is unlocked. If the password file is already locked for editing by another user, vipw will ask you to try again later. The default editor for vipw is vi(1).

vipw performs a number of consistency checks on the password entries, and will not allow a password file with a “mangled” entry to be installed. If vipw rejects the new password file, the user is prompted to re-enter the edit session.

Once the information has been verified, vipw uses pwd_mkdb(8) to update the user database. This is run in the background, and, at very large sites could take several minutes. Until this update is completed, the password file is unavailable for other updates and the new information is not available to programs.

The options are as follows:

-d directory
    Change the root directory of the password file from “/” to directory.

If a vipw session is killed it may leave “/etc/ptmp”, which will cause future vipw executions to fail with “vipw: the passwd file is busy”, until it is removed.

ENVIRONMENT
If the following environment variable exists it will be used by vipw:

EDITOR
    The editor specified by the string EDITOR will be invoked instead of the default editor vi(1).

FILES
/etc/master.passwd
    The current password file.
/etc/ptmp
    Temporary copy of the password file used while editing.

SEE ALSO
chpass(1), passwd(1), pwhash(1), passwd(5), passwd.conf(5), pwd_mkdb(8), user(8)

HISTORY
The vipw command appeared in 4.0BSD.